OpenVDB 5.1.0

Public Member Functions | Protected Attributes | List of all members
MinMax< ValueType, Less > Class Template Reference

Templated class to compute the minimum and maximum values. More...

`#include <Stats.h>`

## Public Member Functions
| MinMax ()
| Empty constructor. More...
| MinMax (const ValueType &min, const ValueType &max)
| Constructor. More...
| MinMax (const MinMax &other)=default
| Default copy constructor. More...
void | add (const ValueType &val, const Less &less=Less())
| Add a single sample. More...
const ValueType & | min () const
| Return the minimum value. More...
const ValueType & | max () const
| Return the maximum value. More...
void | add (const MinMax &other, const Less &less=Less())
| Add the samples from the other Stats instance. More...
void | print (const std::string &name="", std::ostream &strm=std::cout, int precision=3) const
| Print MinMax to the specified output stream. More...

## Protected Attributes
ValueType | mMin
ValueType | mMax

## Detailed Description

### template<typename ValueType, typename Less = std::less<ValueType>>
class openvdb::v5_1::math::MinMax< ValueType, Less >

Templated class to compute the minimum and maximum values.

## Constructor & Destructor Documentation

## ◆ MinMax() [1/3]

MinMax | ( |  | ) |
| inline

Empty constructor.

Warning
  Only use this constructor with POD types

## ◆ MinMax() [2/3]

MinMax | ( | const ValueType & | min,
|  | const ValueType & | max
| ) |  |
| inline

Constructor.

## ◆ MinMax() [3/3]

MinMax | ( | const MinMax< ValueType, Less > & | other | ) |
| default

Default copy constructor.

## Member Function Documentation

## ◆ add() [1/2]

void add | ( | const ValueType & | val,
|  | const Less & | less = `Less()`
| ) |  |
| inline

Add a single sample.

## ◆ add() [2/2]

void add | ( | const MinMax< ValueType, Less > & | other,
|  | const Less & | less = `Less()`
| ) |  |
| inline

Add the samples from the other Stats instance.

## ◆ max()

const ValueType& max | ( |  | ) | const
| inline

Return the maximum value.

## ◆ min()

const ValueType& min | ( |  | ) | const
| inline

Return the minimum value.

## ◆ print()

void print | ( | const std::string & | name = `""`,
|  | std::ostream & | strm = `std::cout`,
|  | int | precision = `3`
| ) |  | const
| inline

Print MinMax to the specified output stream.

## Member Data Documentation

## ◆ mMax

ValueType mMax
| protected

## ◆ mMin

ValueType mMin
| protected

The documentation for this class was generated from the following file:

- Stats.h